#!/usr/bin/env node

import * as program from 'commander'
import './views/ponto'
import './views/servico'
import * as chalk from 'chalk'
const figlet = require('figlet')
import { version } from '../package.json'

program
  .version(version, '-v, --version')
  .parse(process.argv)

if (!program.args.length) {
  figlet('SisCon - cli', function (_: Error, data: string) {
    console.log(chalk.cyan(data))
    program.outputHelp()
  })
}
